Page MenuHomePhabricator

context: rename unstable into orphan
ClosedPublic

Authored by lothiraldan on Aug 7 2017, 6:08 AM.

Details

Summary

Rename unstable context method into orphan and add a deprecation
warning on unstable.

Only update all callers to keep the patch straightforward.

The renaming is done according to
https://www.mercurial-scm.org/wiki/CEDVocabulary.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

lothiraldan created this revision.Aug 7 2017, 6:08 AM
indygreg accepted this revision.Aug 8 2017, 12:37 AM
indygreg added a subscriber: indygreg.
indygreg added inline comments.
mercurial/context.py
208

Typo. Can be fixed in flight if you don't submit a new series.

This revision is now accepted and ready to land.Aug 8 2017, 12:37 AM
lothiraldan updated this revision to Diff 623.Aug 8 2017, 5:42 AM
lothiraldan marked an inline comment as done.Aug 8 2017, 5:47 AM
lothiraldan added inline comments.
mercurial/context.py
208

I have made the fix as I sent another series

lothiraldan marked an inline comment as done.Aug 9 2017, 11:36 AM
This revision was automatically updated to reflect the committed changes.